﻿Type=Activity
Version=3
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
    Dim sm As SlideMenu
	Dim dashboard As AHDashboard
	Dim IconLoc,IconThings As Panel
	Dim Button1 As Button
	Dim Label1 As Label
	Dim eb As cInputBox
	Dim menu As ahaMenu
	Dim bt As Button
	Dim index As Int
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("1")
	
	sm.Initialize(Activity, Me, "SlideMenu", 42dip, 180dip)

	sm.AddItem("Add Location", LoadBitmap(File.DirAssets, "Location.png"), 1)
	sm.AddItem("Add Things", LoadBitmap(File.DirAssets, "Things.png"), 2)
	
	dashboard.Initialize("")
	Activity.Color = Colors.White
	Activity.AddView(dashboard, 0, 0, 100%x,100%y)
	

End Sub
'Show the slidemenu
Sub btnShow_Click
	sm.Show
End Sub

'Event sub which is called when an item in the slidemenu is clicked
Sub SlideMenu_Click(Item As Object)
Dim Lbl As String=""
	Lbl=SetNameOfIcon
	index=index+1
	Select Item
	Case 1
	    IconLoc.Initialize("")
		IconLoc.LoadLayout("IconLoc")  '<= using IconLoc instead of Activity 
		IconLoc.Color = Colors.Transparent
		Label1.Text = Lbl
		Button1.Tag = "Location"&index
		dashboard.AddView(IconLoc, 200dip, 300dip)
	Case 2
	    IconThings.Initialize("")
		IconThings.LoadLayout("IconThings")  '<= using IconThings instead of Activity 
		IconThings.Color = Colors.Transparent
		Label1.Text = Lbl
		Button1.Tag = "Things"&index
		dashboard.AddView(IconThings, 200dip, 300dip)
		Log(dashboard.NumberOfViews)
		

	End Select
End Sub
Sub cInputBoxBtn_click
	Dim B As Button
	B=Sender
	EditBox.Button_click(B.Tag,eb,Activity)
End Sub
Sub SetNameOfIcon As String
	Dim r As Int
	r=EditBox.Show(eb,Activity,"Set Name of Icon","Enter text here","OK","Cancel",eb.cInputBoxEditText.INPUT_TYPE_TEXT)
	If r=DialogResponse.POSITIVE Then
		Return eb.Result
	Else
	    Return "No Name"
	End If
End Sub
Sub Button1_Click
	
	bt = Sender
    Dim istr As String=bt.Tag
	If istr.Contains("Location") Then
	     'ToastMessageShow("Display everything in IconLoc",False)
		menu.Initialize(Activity,Me,"Menu",bt.Left,bt.Top)
    	menu.AddMenuItem("Open...",Null,"1")
		menu.AddMenuItem("Rename...",Null,"3")
	    menu.AddMenuItem("Delete",Null,"4")
		menu.OpenMenu
	
		 
	Else
	     'ToastMessageShow("Display information of the thing which selected"  ,False) 
	    menu.Initialize(Activity,Me,"Menu",bt.Left,bt.Top)
    	menu.AddMenuItem("Open...",Null,"1")
		menu.AddMenuItem("Move...",Null,"2")
		menu.AddMenuItem("Rename...",Null,"3")
	    menu.AddMenuItem("Delete",Null,"4")
		menu.OpenMenu
	
	End If
End Sub

Sub Menu_Click(ReturnValue As Object)
	'ToastMessageShow("Menuitem #" & ReturnValue & " clicked!",False)
	Dim i As Int=ReturnValue
	Select i
		Case 1
		          Dim TargetStr As String=bt.Tag
				  If TargetStr.Contains("Location") Then
				      'This call will bring DashBoardActivity to front and will then execute ShowDashBoard
					   CallSubDelayed2(DashBoardActivity, "ShowDashBoard", Label1.Text)
				  Else
				  End If
				  
		Case 2
		Case 3    'ReName Icon
			      Dim lbl As String=""
		     	  lbl=SetNameOfIcon
		       	  Label1.Text = lbl
		Case 4    'Delete Icon
		          Dim sf As StringFunctions
				  sf.Initialize
		          Dim TargetStr As String=bt.Tag
				  Dim TargetIndex As Int=0
				  If TargetStr.Contains("Location") Then
				     TargetIndex=sf.Trim(sf.Stuff(TargetStr,sf.AddSpaces(0),"Location"))
				  Else
				     TargetIndex=sf.Trim(sf.Stuff(TargetStr,sf.AddSpaces(0),"Things"))
				  End If
				  Log(TargetIndex)
		          'dashboard.RemoveViewAt(TargetIndex)
				  
	End Select
	
End Sub
Sub ShowDashBoard(Title As String)
	Activity.Title = Title
End Sub
Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub


